GET
/withdraw/WITHDRAWConsultar saque
Requer permissão WITHDRAW no token.
Consulta um saque pelo ID, referência externa ou ID fim a fim. Ao menos um dos parâmetros deve ser informado.
Headers
| Authorization | Bearer <seu_token> |
Parâmetros
| Nome | In | Tipo | Descrição |
|---|---|---|---|
| id | query | string | – |
| clientReference | query | string | – |
| endToEndId | query | string | – |
Respostas
Dados do saque
| Campo | Tipo | Descrição |
|---|---|---|
id | string | — |
type | TransactionType | DEPOSITWITHDRAWCOMMISSION |
status | TransactionStatus | PENDINGCOMPLETEDCANCELEDWAITING_FOR_REFUNDREFUNDEDEXPIREDERROR |
amount | number | — |
serviceFeeCharged | number? | — |
clientReference | string? | — |
qrCodeText | string? | — |
qrCodeUrl | string? | — |
qrCodeBase64 | string? | — |
generatedName | string? | — |
generatedDocument | string? | — |
generatedEmail | string? | — |
payerName | string? | — |
payerDocument | string? | — |
payerInstitutionIspb | string? | — |
payerInstitutionName | string? | — |
receiverName | string? | — |
receiverDocument | string? | — |
receiverInstitutionIspb | string? | — |
receiverInstitutionName | string? | — |
withdrawPixKey | string? | Chave PIX usada no saque (preenchido em saque via chave) |
withdrawPixType | PixType? | Tipo da chave PIX (preenchido em saque via chave) cpfcnpjemailphoneevp |
withdrawQrCodeText | string? | Payload EMV Pix Copia e Cola usado no saque (preenchido em saque via QR Code) |
endToEndId | string? | — |
cancellationReason | string? | — |
paidAt | string?date-time | — |
refundEndToEndId | string? | — |
refundAmount | number? | — |
refundStatus | RefundStatus? | PENDINGCOMPLETEDCANCELED |
refundReason | RefundReason? | CUSTOMER_REQUESTDENY_COMPANY_DEPOSITINFRACTION |
refundDescription | string? | — |
refundedAt | string?date-time | — |
createdAt | stringdate-time | — |
updatedAt | stringdate-time | — |
Exemplos
curl "https://api.evopay.cash/v1/withdraw/?id=exemplo&clientReference=exemplo&endToEndId=exemplo" \ -H "Authorization: Bearer <seu_token>"